<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified">

	<xsd:element name="VIDEO_PROTOCOL" type="VideoProtocolType" default="auto"/>
	<xsd:element name="AUTO_ADD" type="xsd:boolean" default="false"/>   
	<xsd:element name="MEET_ME_PHONE" type="xsd:string"/>
	<xsd:element name="CONF_STATUS" type="ConferenceStatusType"/>
	<xsd:element name="CONF_OK" type="xsd:boolean"/>
	<xsd:element name="CONF_EMPTY" type="xsd:boolean"/>
	<xsd:element name="SINGLE_PARTY" type="xsd:boolean"/>
	<xsd:element name="NOT_FULL" type="xsd:boolean"/>
	<xsd:element name="RESOURCES_DEFICIENCY" type="xsd:boolean"/>
	<xsd:element name="BAD_RESOURCES" type="xsd:boolean"/>
	<xsd:element name="PROBLEM_PARTY" type="xsd:boolean"/>
  <xsd:element name="PARTY_REQUIRES_OPERATOR_ASSIST" type="xsd:boolean"/>
  <xsd:element name="CONTENT_RESOURCES_DEFICIENCY" type="xsd:boolean"/>
  <xsd:element name="OPERATOR_CONF" type="xsd:boolean" default="false"/>
	<xsd:element name="LECTURE_CONF" type="xsd:boolean" default="false"/>
	<xsd:element name="AUDIO_CONF" type="xsd:boolean" default="false"/>
	<xsd:element name="VIDEO_SESSION" type="VideoSessionType" default="switching"/>
	<xsd:element name="MR_STATE" type="MeetingRoomStateType"/>
	<xsd:element name="CT_STATE" type="ConferenceTemplateStateType"/>
	<xsd:element name="CHANGED" type="xsd:boolean"/>
	<xsd:element name="ENTRY_QUEUE" type="xsd:boolean"/>
	<xsd:element name="NUM_CONNECTED_PARTIES" type="xsd:integer"/>
	<xsd:element name="SECURE" type="xsd:boolean"/>
	<xsd:element name="JOIN_CONF_ID" type="xsd:integer"/>
	<xsd:element name="IN_VOTE" type="xsd:boolean"/>
	<xsd:element name="WAIT_FOR_ASSISTANCE"  type="WaitForAssitanceType"/>
	<xsd:element name="ATTENDING_STATE" type="AttendingStateType"/>
	<xsd:element name="VISUAL_NAME" type="xsd:string"/>
	<xsd:element name="CONNECTION_ID" type="xsd:integer"/>
	<xsd:element name="FILE_NAME" type="xsd:string"/>
	<xsd:element name="IP_QOS"  type="IpQosContent"/>
	<xsd:element name="QOS_ACTION"  type="QosActionType" default="disabled"/>
	<xsd:element name="QOS_DIFF_SERV" type="DiffServType" default="diffserv"/>
	<xsd:element name="QOS_IP_AUDIO" type="OneToFiveType" default="5"/>
	<xsd:element name="QOS_IP_VIDEO" type="OneToFiveType" default="4"/>
	<xsd:element name="QOS_TOS" type="TOSType"/>
	<xsd:element name="NET_PHONE_LIST" type="NetPhoneListContent"/>
	<xsd:element name="NET_PHONE" type="NetPhoneContent"/>
	<xsd:element name="FIRST_PHONE_NUMBER" type="xsd:string"/>
	<xsd:element name="LAST_PHONE_NUMBER" type="xsd:string"/>
	<xsd:element name="CATEGORY" type="xsd:integer"/>
	<xsd:element name="FIRST_PORT_ID" type="xsd:integer"/>
	<xsd:element name="DIAL_IN_GROUP_ID" type="xsd:integer"/>
	<xsd:element name="LINE_NUMBER" type="xsd:integer"/>
	<xsd:element name="LINE_ORDER" type="xsd:integer"/>
	<xsd:element name="DEFAULT_NAME" type="xsd:string"/>
	<xsd:element name="ATM_ADDRESS" type="AtmAddressType"/>
	<xsd:element name="QOS_ATM" type="AtmQosMediaType" default="ubr"/>
	<xsd:element name="SERVICE_NAME" type="xsd:string"/>
	<xsd:element name="SUB_SERVICE_NAME" type="xsd:string"/>
	<xsd:element name="ENCRYPTION" type="xsd:boolean"/>
	<xsd:element name="NUM_PARTIES" type="xsd:integer"/>
	<xsd:element name="NUM_UNDEFINED_PARTIES" type="xsd:integer"/>
	<xsd:element name="WEB_RESERVED" type="xsd:boolean" default="false"/>
	<xsd:element name="WEB_RESERVED_UID" type="xsd:integer"/>
	<xsd:element name="WEB_OWNER_UID" type="xsd:integer"/>
	<xsd:element name="WEB_DB_ID" type="xsd:integer"/>
	<xsd:element name="RESTRICT_MODE" type="RestrictModeType" default="derestricted"/>
	<xsd:element name="RESTRICT"  type="xsd:boolean"  default="false"/>
	<xsd:element name="RECORDING_STATUS" type="RecordingStatusType"/>
	<xsd:element name="ENTRY_QUEUE_ACCESS" type="xsd:boolean"/>
	<xsd:element name="PORT" type="xsd:integer"/>
	<xsd:element name="EMAIL"  type="xsd:string"/>
	<xsd:element name="ENTRY_QUEUE_TYPE" type="EntryQueueType"/>
	<xsd:element name="IDENTIFICATION_METHOD"  type="IdentMethodType"/>
	<xsd:element name="TRANSFER_RATE" type="TransferRateType" default="2x64"/>
	<xsd:element name="DHCP_STATUS_TYPE" type="DhcpStatusType"/>
	<xsd:element name="NETWORK" type="NetworkType" default="h320_h323"/>
	<xsd:element name="DOMAIN_NAME" type="xsd:string"/>
	<xsd:element name="SIP_FACTORY" type="xsd:boolean"/>
	<xsd:element name="NET_SPECIFIC" type="NetSpecificType"/>	
	<xsd:element name="HD" type="xsd:boolean" default="false"/>
	<xsd:element name="SEQUENCE_NUMBER" type="xsd:integer"/>
	<xsd:element name="FILE_SIZE" type="xsd:integer"/>
	<xsd:element name="FIRST_MESSAGE" type="xsd:dateTime"/>
	<xsd:element name="LAST_MESSAGE" type="xsd:dateTime"/>
	<xsd:element name="CONTAINS_STARTUP" type="xsd:boolean"/>
	<xsd:element name="CASCADE_ROLE" type="CascadeRoleType" default="none"/>
	<xsd:element name="CASCADE" type="CascadeContent"/>
	<xsd:element name="MASTER_NAME" type="xsd:string"/>
	<xsd:element name="EPC_CONTENT_SOURCE_ID" type="xsd:integer"/>
	<xsd:element name="COMPRESSION_FORMAT" type="CompressionFormatType" default="none"/>
	<xsd:element name="NAME_FORMAT_VERSION" type="xsd:integer"/>
	<xsd:element name="TOTAL_NUMBER_OF_PARTICIPANTS" type="xsd:integer"/>
	<xsd:element name="GATEWAY" type="xsd:boolean"/>

	<xsd:simpleType name="CompressionFormatType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="none"/>
			<xsd:enumeration value="zlib"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="CascadeRoleType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="none"/>
			<xsd:enumeration value="master"/>
			<xsd:enumeration value="slave"/>
			<xsd:enumeration value="negotiated"/>
		</xsd:restriction>
	</xsd:simpleType>
  
	<xsd:complexType name="CascadeContent">
		<xsd:sequence>
			<xsd:element ref="CASCADE_ROLE" minOccurs="0"/>
			<xsd:element ref="MASTER_NAME" minOccurs="0"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>
  
	<xsd:simpleType name="DhcpStatusType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="disable"/>
			<xsd:enumeration value="init"/>
			<xsd:enumeration value="restart"/>
			<xsd:enumeration value="selecting"/>
			<xsd:enumeration value="requesting"/>
			<xsd:enumeration value="binding"/>
			<xsd:enumeration value="bound"/>
			<xsd:enumeration value="renew"/>
			<xsd:enumeration value="rebind"/>
			<xsd:enumeration value="unknown"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="TransferRateType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="64"/>
			<xsd:enumeration value="96"/>			
			<xsd:enumeration value="2x64"/>	<!--not supported-->
			<xsd:enumeration value="3x64"/> <!--not supported-->
			<xsd:enumeration value="4x64"/> <!--not supported-->
			<xsd:enumeration value="5x64"/> <!--not supported-->
			<xsd:enumeration value="6x64"/> <!--not supported-->
			<xsd:enumeration value="128"/>
			<xsd:enumeration value="192"/>	<!--not supported-->
			<xsd:enumeration value="256"/>
			<xsd:enumeration value="320"/>	<!--not supported-->
			<xsd:enumeration value="384"/>
			<xsd:enumeration value="512"/>
			<xsd:enumeration value="768"/>
			<xsd:enumeration value="1024"/>
			<xsd:enumeration value="1152"/>	<!--supported from version 3.0-->
			<xsd:enumeration value="1472"/>
			<xsd:enumeration value="1536"/>	<!--not supported-->
			<xsd:enumeration value="1920"/>
			<xsd:enumeration value="4096"/>
			<xsd:enumeration value="6144"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="NetworkType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="h320"/>
			<xsd:enumeration value="h323"/>
			<xsd:enumeration value="h320_h323"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="IdentMethodType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="password"/>
			<xsd:enumeration value="called_phone_number"/>
			<xsd:enumeration value="calling_phone_number"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="EntryQueueType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="normal"/>
			<xsd:enumeration value="recording"/>
			<xsd:enumeration value="playback"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="RecordingStatusType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="stop"/>
			<xsd:enumeration value="start"/>
			<xsd:enumeration value="pause"/>
			<xsd:enumeration value="resume"/>
			<xsd:enumeration value="ended"/>
		</xsd:restriction>
	</xsd:simpleType>


	<xsd:simpleType name="AtmAddressType">
		<xsd:restriction base="xsd:string">
			<xsd:minLength value="59" />
			<xsd:maxLength value="59" />
			<xsd:pattern value="([0-9a-fA-F]{2}\.){19}[0-9a-fA-F]{2}" />
		</xsd:restriction>
	</xsd:simpleType>  

	<xsd:simpleType name="RestrictModeType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="restricted"/>
			<xsd:enumeration value="derestricted"/>
			<xsd:enumeration value="auto"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="AttendingStateType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="welcome_no_wait"/>
			<xsd:enumeration value="welcome_wait"/>
			<xsd:enumeration value="onhold"/>
			<xsd:enumeration value="attend"/>
			<xsd:enumeration value="ivr"/>
			<xsd:enumeration value="inconf"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="WaitForAssitanceType">
		<xsd:restriction base="xsd:string">
      <xsd:enumeration value="assitance_type_none"/>
			<xsd:enumeration value="conf_pwd_fail"/>
			<xsd:enumeration value="chair_pwd_fail"/>
			<xsd:enumeration value="req_private"/>
			<xsd:enumeration value="req_public"/>
			<xsd:enumeration value="eq_move_fail"/>
			<xsd:enumeration value="hold_by_oper"/>
			<xsd:enumeration value="hold_by_ivr"/>
			<xsd:enumeration value="conf_locked"/>
			<xsd:enumeration value="conf_secured"/>
			<xsd:enumeration value="illegal_audio_types"/>
			<xsd:enumeration value="video_party_to_audio_conf"/>
			<xsd:enumeration value="attended_wait"/>
			<xsd:enumeration value="numeric_id_fail"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="VideoProtocolType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="auto"/>
			<xsd:enumeration value="h261"/>
			<xsd:enumeration value="h263"/>
			<xsd:enumeration value="h26L"/>		<!--relevant only for reservations-->
			<xsd:enumeration value="h264"/>		<!--relevant only for reservations-->
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:complexType name="ConferenceStatusType">
		<xsd:sequence>
			<xsd:element ref="CONF_OK"/>
			<xsd:element ref="CONF_EMPTY"/>
			<xsd:element ref="SINGLE_PARTY"/>
			<xsd:element ref="NOT_FULL"/>
			<xsd:element ref="RESOURCES_DEFICIENCY"/>
			<xsd:element ref="BAD_RESOURCES"/>
			<xsd:element ref="PROBLEM_PARTY"/>
      <xsd:element ref="PARTY_REQUIRES_OPERATOR_ASSIST"/>
      <xsd:element ref="CONTENT_RESOURCES_DEFICIENCY"/>
      <xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:simpleType name="VideoSessionType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="switching"/>
			<xsd:enumeration value="transcoding"/>
			<xsd:enumeration value="continuous_presence"/>
			<xsd:enumeration value="software_cp"/>		<!--software_cp - Valid only when the network is H323--> 
			<xsd:enumeration value="advanced_layout"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="H323BitRateType">
		<xsd:restriction base="xsd:integer">
			<xsd:maxInclusive value="4096"/>
			<xsd:minInclusive value="0"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="AutomaticType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="automatic"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="OffType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="off"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="Integer0_16">
		<xsd:restriction base="xsd:integer">
			<xsd:maxInclusive value="16"/>
			<xsd:minInclusive value="0"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="Integer0_19">
		<xsd:restriction base="xsd:integer">
			<xsd:maxInclusive value="19"/>
			<xsd:minInclusive value="0"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="Integer0_30">
		<xsd:restriction base="xsd:integer">
			<xsd:maxInclusive value="30"/>
			<xsd:minInclusive value="0"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="Integer1_100">
		<xsd:restriction base="xsd:integer">
			<xsd:maxInclusive value="100"/>
			<xsd:minInclusive value="1"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="MeetingRoomStateType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="passive"/>
			<xsd:enumeration value="active"/>
			<xsd:enumeration value="initialize"/>
		</xsd:restriction>
	</xsd:simpleType>
  
  <xsd:simpleType name="ConferenceTemplateStateType">
  <xsd:restriction base="xsd:string">
    <xsd:enumeration value="passive"/>
    <xsd:enumeration value="active"/>
    <xsd:enumeration value="initialize"/>
  </xsd:restriction>
</xsd:simpleType>

  <xsd:simpleType name="ObjChangeType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="new"/>
			<xsd:enumeration value="update"/>
			<xsd:enumeration value="none"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:complexType name="IpQosContent">
		<xsd:sequence>
			<xsd:element ref="QOS_ACTION" minOccurs="0"/>
			<xsd:element ref="QOS_DIFF_SERV" minOccurs="0"/>
			<xsd:element ref="QOS_IP_AUDIO" minOccurs="0"/>
			<xsd:element ref="QOS_IP_VIDEO" minOccurs="0"/>
			<xsd:element ref="QOS_TOS" minOccurs="0"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:simpleType name="QosActionType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="disabled"/>
			<xsd:enumeration value="enabled"/>
			<xsd:enumeration value="from_service"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="DiffServType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="diffserv"/>
			<xsd:enumeration value="precedence"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="OneToFiveType">
		<xsd:restriction base="xsd:integer">
			<xsd:maxInclusive value="5"/>
			<xsd:minInclusive value="1"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="TOSType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="none"/>
			<xsd:enumeration value="delay"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:complexType name="NetPhoneContent">
		<xsd:sequence>
			<xsd:element ref="FIRST_PHONE_NUMBER" minOccurs="0"/>
			<xsd:element ref="LAST_PHONE_NUMBER" minOccurs="0"/>
			<xsd:element ref="CATEGORY" minOccurs="0"/>
			<xsd:element ref="FIRST_PORT_ID" minOccurs="0"/>
			<xsd:element ref="DIAL_IN_GROUP_ID" minOccurs="0"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="NetPhoneListContent">
		<xsd:sequence>
			<xsd:element ref="NET_PHONE" minOccurs="0" maxOccurs="unbounded"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:simpleType name="AtmQosMediaType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="cbr"/>
			<xsd:enumeration value="rtvbr"/>
			<xsd:enumeration value="nrtvbr"/>
			<xsd:enumeration value="abr"/>
			<xsd:enumeration value="ubr"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="ServiceType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="pri"/>
			<xsd:enumeration value="switched_56"/>		<!--not supported-->
			<xsd:enumeration value="leased_lines"/>		<!--not supported-->
			<xsd:enumeration value="leased_lines_31"/>	<!--not supported-->
			<xsd:enumeration value="h323"/>     		<!--not supported-->
			<xsd:enumeration value="h323_lan"/>     	<!--not supported-->
			<xsd:enumeration value="h323_ipoatm"/>		<!--not supported-->
			<xsd:enumeration value="h323_lanemu"/>		<!--not supported-->
			<xsd:enumeration value="t1_cas"/>   		<!--not supported-->
			<xsd:enumeration value="unknown_service"/>	<!--not supported-->
		</xsd:restriction>
	</xsd:simpleType>


	<xsd:simpleType name="NetSpecificType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="none"/>
			<xsd:enumeration value="att_sdn"/>
			<xsd:enumeration value="nti_private"/>
			<xsd:enumeration value="ati_megacom"/>		<!--not supported-->
			<xsd:enumeration value="nti_outwats"/>
			<xsd:enumeration value="nti_fx"/>
			<xsd:enumeration value="nti_tie_trunk"/>
			<xsd:enumeration value="att_accunet"/>
			<xsd:enumeration value="att_1800"/>
			<xsd:enumeration value="nti_tro"/>
			<xsd:enumeration value="unknown"/>  		<!--not supported-->
			<xsd:enumeration value="att_megacom"/>
			<xsd:enumeration value="att_Megacom_800"/>
			<xsd:enumeration value="nti_inwats"/>
			<xsd:enumeration value="val"/>
			<xsd:enumeration value="att_multiquest"/>
		</xsd:restriction>
	</xsd:simpleType>


</xsd:schema>
